# Redaction Policy

## Don't Send

Be careful with any strings. If something ends in `name`, it should probably not be sent, including

- user names (both OS and MongoDB authentication)
- company names
- project names
- host names
- computer names
- cluster names
- replica set names
- database names
- collection names
- document field names
- index names

The exception here are "file names", as long as they belong to the app
source tree. They should be truncated to only show the relative path below the
app directory, e.g. `./src/tour/index.js:143`.

Do not send

- user details
- email addresses
- phone numbers
- addresses
- urls
- IP addresses
- certificates
- private keys
- passwords
- o-auth tokens
- social network ids
- social security numbers
- 2-factor-auth keys
- directory paths containing any of the above
- any other identifiable information

## Ok

- Numbers are generally ok, except if they fall in any of the above categories, like IP addresses
- Booleans are ok
- Anonymous unique user id (e.g. UUID)
- Generic deployment details ("cluster with 4 replica sets each consisting of 3 nodes") are ok
- Any data that shipped with your app or is generated by your app and does not contain any of the above, e.g.
   - version numbers
   - features (for example, it's ok to send a string "first-run-tour", or "geo-querybuilder")
